package xn.hxp.ui.plan.room.bean.locker;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverter;
import androidx.room.TypeConverters;

import xn.hxp.ui.plan.room.RoomConverter;

import java.util.ArrayList;
import java.util.List;

/**
 * 柜子
 */
@Entity
@TypeConverters(RoomConverter.class)
public class HxpCabinetVo {
    @PrimaryKey
    // ("机柜id")
    private long cabinetId;
    // ("机柜名称")
    private String cabinetName;
    // ("学院id")
    private long deptId;
    // ("学院名称")
    private String deptName;
    // ("楼栋id")
    private long buildId;
    // ("楼栋名称")
    private String buildName;
    // ("楼层id")
    private long floorId;
    // ("楼层名称")
    private String floorName;
    // ("实验室id")
    private long subId;
    // ("实验室名称")
    private String subName;
    // ("房间编号")
    private String roomNum;
    // ("安全员信息")
    private String safeInfo;
    // ("摄像头id")
    private long cameraId;
    // ("采集器id")
    private long collectorId;
    // ("柜门数量")
    private int doorNum;
    // ("柜锁数量")
    private int lockNum;
    // ("化学品数量")
    private int chemicalNum;
    // ("创建人id")
    private long createBy;
    // ("创建人姓名")
    private String createName;
    // ("创建时间")
    private String createTime;
    // ("修改人id")
    private long updateBy;
    // ("修改人姓名")
    private String updateName;
    // ("修改时间")
    private String updateTime;
    // ("柜门列表")
    private List<HxpCabinetDoorVo> cabinetDoorVoList = new ArrayList<>();

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public long getDeptId() {
        return deptId;
    }

    public void setDeptId(long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public long getBuildId() {
        return buildId;
    }

    public void setBuildId(long buildId) {
        this.buildId = buildId;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public long getFloorId() {
        return floorId;
    }

    public void setFloorId(long floorId) {
        this.floorId = floorId;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public long getSubId() {
        return subId;
    }

    public void setSubId(long subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getRoomNum() {
        return roomNum;
    }

    public void setRoomNum(String roomNum) {
        this.roomNum = roomNum;
    }

    public String getSafeInfo() {
        return safeInfo;
    }

    public void setSafeInfo(String safeInfo) {
        this.safeInfo = safeInfo;
    }

    public long getCameraId() {
        return cameraId;
    }

    public void setCameraId(long cameraId) {
        this.cameraId = cameraId;
    }

    public long getCollectorId() {
        return collectorId;
    }

    public void setCollectorId(long collectorId) {
        this.collectorId = collectorId;
    }

    public int getDoorNum() {
        return doorNum;
    }

    public void setDoorNum(int doorNum) {
        this.doorNum = doorNum;
    }

    public int getLockNum() {
        return lockNum;
    }

    public void setLockNum(int lockNum) {
        this.lockNum = lockNum;
    }

    public int getChemicalNum() {
        return chemicalNum;
    }

    public void setChemicalNum(int chemicalNum) {
        this.chemicalNum = chemicalNum;
    }

    public long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(long createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }


    public List<HxpCabinetDoorVo> getCabinetDoorVoList() {
        return cabinetDoorVoList;
    }

    public void setCabinetDoorVoList(List<HxpCabinetDoorVo> cabinetDoorVoList) {
        this.cabinetDoorVoList = cabinetDoorVoList;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

}
